#
# spec file for package xortool
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xortool
Version:        1.0.0
Release:        2.5
Summary:        A tool to analyze multi-byte xor cipher
License:        MIT
Group:          Productivity/Security
URL:            https://github.com/hellman/xortool
Source:         https://github.com/hellman/xortool/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  python3-docopt
BuildRequires:  python3-pip
BuildRequires:  python3-poetry
BuildRequires:  python3-wheel
Requires:       python3-docopt
BuildArch:      noarch

%description
A tool to do some xor analysis:
 * Guess the key length (based on count of equal chars).
 * Guess the key (base on knowledge of most frequent char).

%prep
%autosetup -p1

%build
%python3_pyproject_wheel

%install
%python3_pyproject_install

%files
%doc README.md
%{_bindir}/%{name}*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*

%changelog
* Thu Jun 22 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Do not use python_module macro, but rather specify python3-FOO
  directly: this package is not a python module, but rather an
  application written in python.
* Sun Oct  9 2022 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.0.0:
  * support using known plaintext for filtering output
  * improved color output
  * more options to handle newline and cycle
* Wed Aug 26 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.99:
  * completed transition to python 3
  * bugfixes
* Tue Jan  7 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 0.98+git20191025 (changes since 0.96):
  * Switch to Python 3.
  * Fix a frequent char parse error for '00'.
  * Add target text charset handling.
  * Add a simple test script.
* Wed Sep 16 2015 sor.alexei@meowr.ru
- Initial package.
